Skip to main content
GET
ListReportRuleSummaries

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

reportId
string
required

The report whose rule summaries to list.

Query Parameters

pageSize
integer<int64>

The maximum number of rule summaries to return. The service may return fewer than this value. If unspecified, at most 50 rule summaries will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. Optional.

pageToken
string

A page token, received from a previous ListReportRuleSummaries call. Provide this to retrieve the subsequent page. Optional.

filter
string

A Common Expression Language (CEL) filter string. Available fields to filter by are rule_id, rule_version_id, asset_id, status, created_date, and modified_date. Optional.

orderBy
string

How to order the retrieved rule summaries. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...". Available fields to order by are display_order, created_date, and modified_date. If left empty, items are ordered by display_order ascending.

Response

A successful response.

The response of a call to ReportService_ListReportRuleSummaries.

reportRuleSummaries
object[]
nextPageToken
string